# Upstream uses different names for tarballs and repos.
%define pkgname	dnet

Name:		elliptics
Version:	2.8.0
Release:	1%{?dist}
Summary:	Distributed hash table storage

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://www.ioremap.net/projects/%{name}/
Source0:	http://www.ioremap.net/archive/%{name}/%{pkgname}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{pkgname}-%{version}-%{release}-XXXXXX)

BuildRequires:	libevent-devel, openssl-devel, db4-devel, tokyocabinet-devel, fcgi-devel,
# C-header naming conflict with libdnet, noted to upstream.
Conflicts:	libdnet

%description
Elliptics network/dnet is a fault tolerant distributed hash table 
object storage.
This package includes an example ioserver and a FastCGI interface.


%package devel
Summary:	Development files for dnet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for dnet.



%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf ${buildroot}
make install DESTDIR=%{buildroot}

# Remove unneeded files.
rm -f %{buildroot}/%{_libdir}/*.{a,la}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc debian/copyright example/EXAMPLE example/fcgi/lighttpd-fastcgi-dnet.conf
%{_libdir}/libdnet.so.*
%{_bindir}/dnet_check_log
%{_bindir}/dnet_fcgi
%{_bindir}/dnet_hparser
%{_bindir}/dnet_ioserv
%{_bindir}/dnet_iotest
%{_bindir}/dnet_notify
%{_bindir}/dnet_stat
%{_bindir}/dnet_check_create
%{_bindir}/dnet_check_merge

%files devel
%defattr(-,root,root,-)
%doc doc/design_notes.txt doc/io_storage_backend.txt
%defattr(-,root,root,-)
%{_libdir}/libdnet.so
%{_includedir}/%{pkgname}/


%changelog
* Tue Jun 15 2010 Fabian Deutsch <fabiand@fedoraproject.org> - 2.8.0-1
- Update to 2.8.0.
- Removed rpath on x86_64.
- Removed DSO fix as it was fixed upstream.

* Wed May 12 2010 Fabian Deutsch <fabiand@fedoraproject.org> - 2.7.5-1
- Update to 2.7.5
- Added conflict with libdnet.

* Tue Mar 02 2010 Fabian Deutsch <fabian.deutsch@gmx.de> - 2.6.4-1
- Initial package.
